<!DOCTYPE html>
<html>
  <head>
    <title>Login</title>
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="apple-touch-icon" sizes="180x180" href="apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="favicon-16x16.png">
    <link rel="manifest" href="site.webmanifest">
    <% if (env.NODE_ENV === 'production') { %>
    <link type="text/css" rel="stylesheet" href="css/materialize.min.css" media="screen,projection"/>
    <% } else { %>
    <link type="text/css" rel="stylesheet" href="css/materialize.css" media="screen,projection"/>
    <% } %>

    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>

    <style>
      html, body {
        margin: 0;
        padding: 0;
      }

      html {
        background-color: <%= colors.watervlo_blue %>;
        color: <%= colors.watervlo_yellow %>;
        font-family: "Roboto", sans-serif;
      }

      .watervlo-blue,
      .watervlo-blue:hover {
        background-color: <%= colors.watervlo_blue %>;
      }
      .watervlo-blue-text {
        color: <%= colors.watervlo_blue %>;
      }

      .watervlo-yellow,
      .watervlo-yellow:hover {
        background-color: <%= colors.watervlo_yellow %>;
      }
      .watervlo-yellow-text {
        color: <%= colors.watervlo_yellow %>;
      }

    </style>

  </head>
  <body>
    <center>
      <h1>Inloggen scorebord</h1>
      <div class="container row">
        <div class="card col s12 m6 offset-m3 white">
          <div class="card-content watervlo-blue-text">
            <form action="login" method="post">

              <div class='row'>
                <div class='input-field col s12'>
                  <i class="material-icons prefix watervlo-blue-text">account_circle</i>
                  <input type='text' name='username' id='username' required="" aria-required="true" />
                  <label for='username'>Voer je gebruikersnaam in</label>
                </div>
              </div>

              <div class='row'>
                <div class='input-field col s12'>
                  <i class="material-icons prefix watervlo-blue-text">lock</i>
                  <input type='password' name='password' id='password' required="" aria-required="true" />
                  <label for='password'>Voer je wachtwoord in</label>
                </div>
                <label style='float: right;'>
                  <a class='watervlo-blue-text modal-trigger' href='#forget-password'><b>Wachtwoord vergeten?</b></a>
							  </label>
              </div>

              <div class='row'>
                <button type='submit' class='col s12 btn btn-large waves-effect indigo'>Login</button>
              </div>

            </form>
          </div>
        </div>
      </div>
    </center>

    <div id="forget-password" class="modal">
      <div class="modal-content watervlo-blue-text">
        <h4>Wachtwoord vergeten?</h4>
        <p>Neem contact op met Naomi om je wachtwoord te resetten.</p>
      </div>
      <div class="modal-footer">
        <a href="#" class="modal-close waves-effect btn watervlo-blue">Ok</a>
      </div>
    </div>

    <!-- Include scripts -->
    <script type="text/javascript" src="materialize.min.js"></script>
    
    <!-- On load scripts -->
    <script>
      window.addEventListener('DOMContentLoaded', () => {
        const elems = document.querySelectorAll('.modal');
        const instances = M.Modal.init(elems);
      })

      window.addEventListener('load', () => {
        const urlParams = new URLSearchParams(window.location.search)

        if (urlParams.has('error')) {
          alert(urlParams.get('error'))
        }
      })
    </script>
  </body>
</html>
